<template>
	<Badge type="info" :class="{clickable: href}" @click="click">
		<span class="prefix" v-if="prefix">{{prefix}}</span>
		<span class="text">{{text}}</span>
	</Badge>
</template>

<script setup>
import { useRouter, withBase } from "vitepress";

const props = defineProps( {
	prefix: String,
	text: String,
	href: String,
} );

const router = useRouter();

const click = () => {
	router.go( withBase( props.href.replace( /\.md(?=#|$)/, ".html" ) ) );
};
</script>

<style scoped>
.clickable {
	cursor: pointer;
}

.prefix {
	display: inline-block;
	line-height: 20px;
	border-top-left-radius: 11px;
	border-bottom-left-radius: 11px;
	color: white;
	background: var(--vp-badge-info-border);
	padding: 0 10px;
	margin-left: -8px;
}

.text {
	color: var(--vp-badge-info-text);
	padding: 0 2px 0 8px;
}
</style>
